## gio-qt 0.0.9

=== CMakeLists.txt ===
project(gio-qt)

cmake_minimum_required(VERSION 3.12.4)

option(BUILD_TESTS "Build tests" OFF)
option(BUILD_UTILS "Build utilities" ON)
option(BUILD_DOCS "Build documentation" ON)

# Version
if (NOT PROJECT_VERSION)
    set(PROJECT_VERSION "0.0.1")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 0)
endif()

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")
set(QT_MINIMUM_VERSION "5.6.3")

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

include(GNUInstallDirs)

# Find the QtWidgets library
find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
find_package(PkgConfig REQUIRED)
find_package(Doxygen)

pkg_check_modules(GIOMM giomm-2.4) # look into FindPkgConfig.cmake

add_subdirectory (gio-qt)

if (BUILD_TESTS)
    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
    add_subdirectory(test)
endif ()

if (BUILD_UTILS)
    add_subdirectory(qgio-tools)
endif ()

if (BUILD_DOCS)
    if (NOT DOXYGEN_FOUND)
        message(FATAL_ERROR "Doxygen is required to build the documentation.")
    endif ()

    set (DOXYGEN_GENERATE_HTML YES)
    set (DOXYGEN_GENERATE_QHP YES)
    set (DOXYGEN_EXTRACT_STATIC YES)
    set (DOXYGEN_OUTPUT_DIRECTORY "./docs/")
    set (DOXYGEN_EXCLUDE_SYMBOLS "*Private;*Test")
    set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
    set (DOXYGEN_QHP_NAMESPACE "org.deepin.gio-qt")
    set (DOXYGEN_QCH_FILE "../gio-qt.qch")
    set (DOXYGEN_QHP_VIRTUAL_FOLDER "gio-qt")

    doxygen_add_docs(doxygen
        ${CMAKE_CURRENT_SOURCE_DIR}/gio-qt
        ALL
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/gio-qt
        COMMENT "Generate documentation via Doxygen"
    )

    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/docs/gio-qt.qch DESTINATION share/qt5/doc)

else ()
    message (STATUS "")
    message (STATUS "To build docs, please use -DBUILD_DOCS=Yes")
    message (STATUS "")
endif()

=== debian/changelog ===
gio-qt (0.0.9-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
  * debian/rules:
    + Minor cleanup and ensure proper build.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 27 Dec 2020 18:01:35 +0545

gio-qt (0.0.9-1~exp1) experimental; urgency=medium

  * Initial release.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Wed, 24 Jun 2020 10:10:02 +0545

=== debian/control ===
Source: gio-qt
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
Build-Depends:
 cmake (>= 3.7),
 debhelper-compat (= 13),
 doxygen,
 libglibmm-2.4-dev,
 pkg-config,
 qtbase5-dev,
 qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/linuxdeepin/gio-qt
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gio-qt
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gio-qt.git

Package: libgio-qt-dev
Architecture: any
Section: libdevel
Depends:
 libgio-qt0 (= ${binary:Version}),
 libglibmm-2.4-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Gio wrapper for Qt5 (development files)
 Gio-qt provides Gio wrapper for Qt5.
 .
 This package provides the library development files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libgio-qt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Gio wrapper for Qt5 (documentation files)
 Gio-qt provides Gio wrapper for Qt5.
 .
 This package provides the library documentation files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libgio-qt0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Gio wrapper for Qt5
 Gio-qt provides Gio wrapper for Qt5.
 .
 This package provides the library files.
 .
 This package is part of DDE (Deepin Desktop Environment).

## gio-qt 0.0.11

=== qgio-tools/CMakeLists.txt ===
# QXdgDesktopEntryTest
add_executable (qgio-tools
    main.cpp
)

target_link_libraries (qgio-tools gio-qt)

=== test/CMakeLists.txt ===
enable_testing ()

function(DGIO_CREATE_TEST _generated_target_name _input_file_name _use_giomm)
    set (extra_libraries)
    if (_use_giomm)
        list(APPEND extra_libraries ${GIOMM_LIBRARIES})
    endif ()

    add_executable (${_generated_target_name}
        ${_input_file_name}
    )
    add_test (NAME ${_generated_target_name} COMMAND ${_generated_target_name} )
    target_link_libraries (${_generated_target_name} gio-qt Qt5::Test ${extra_libraries})
    if (_use_giomm)
        target_include_directories(${_generated_target_name} PRIVATE ${GIOMM_INCLUDE_DIRS})
        target_compile_definitions(${_generated_target_name} PRIVATE QT_NO_KEYWORDS)
    endif ()
endfunction()


# Match GIO Enum
dgio_create_test (tst_matchgioenum tst_matchgioenum.cpp YES)

# Simple FileInfo
dgio_create_test (tst_simplefileinfo tst_simplefileinfo.cpp NO)

dgio_create_test (tst_dgiosettings tst_dgiosettings.cpp NO)

=== debian/changelog ===
gio-qt (0.0.11-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 15 Aug 2021 23:02:29 -0400

gio-qt (0.0.10-1~exp1) experimental; urgency=medium

  * New upstream release.
    + Switch from GPL-3+ to LGPL-3+.
  * debian/copyright: Update accordingly.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Apr 2021 10:20:13 -0400

## gio-qt 0.0.12

=== gio-qt/CMakeLists.txt ===
# Populate a CMake variable with the sources
# TODO: portable headers?

configure_file ("gio-qt.pc.in" "gio-qt.pc" @ONLY)

set (QGIO_PUBLIC_HEADER_FILES
    include/dglibutils.h
    include/dgiovolumemanager.h
    include/dgiomountoperation.h
    include/dgiomount.h
    include/dgiovolume.h
    include/dgiofile.h
    include/dgiofileinfo.h
    include/dgiofileiterator.h
    include/dgiodrive.h
    include/dgiosettings.h
)

set (QGIO_PRIVATE_HEADER_FILES
    private/dgiohelper.h
)

set (QGIO_PRIVATE_CPP_FILES
    source/dglibutils.cpp
    source/dgiovolumemanager.cpp
    source/dgiomountoperation.cpp
    source/dgiomount.cpp
    source/dgiovolume.cpp
    source/dgiofile.cpp
    source/dgiofileinfo.cpp
    source/dgiofileiterator.cpp
    source/dgiodrive.cpp
    source/dgiosettings.cpp
    private/dgiohelper.cpp
)

# Library
add_library (gio-qt SHARED
    ${QGIO_PUBLIC_HEADER_FILES}
    ${QGIO_PRIVATE_HEADER_FILES}
    ${QGIO_PRIVATE_CPP_FILES}
)

set_target_properties(
    gio-qt PROPERTIES
    VERSION ${PROJECT_VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

target_include_directories(gio-qt
PRIVATE
    ${GIOMM_INCLUDE_DIRS}
    ${CMAKE_CURRENT_LIST_DIR}/private
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}/include
)

target_link_libraries (gio-qt Qt5::Core ${GIOMM_LIBRARIES})

target_compile_definitions(gio-qt PRIVATE
    QT_NO_KEYWORDS
)

## dev files
install (FILES ${QGIO_PUBLIC_HEADER_FILES}
    DESTINATION include/gio-qt
)

install_targets ("/${CMAKE_INSTALL_LIBDIR}" gio-qt)

install (FILES "${CMAKE_CURRENT_BINARY_DIR}/gio-qt.pc"
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

=== debian/changelog ===
gio-qt (0.0.12-1build5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:21:23 +0000

gio-qt (0.0.12-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:07:31 +0000

gio-qt (0.0.12-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:28:39 +0000

gio-qt (0.0.12-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:41:05 +0000

gio-qt (0.0.12-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:32:00 +0000

gio-qt (0.0.12-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Jun 2023 14:20:48 -0400

gio-qt (0.0.12-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

  [ Boyuan Yang ]
  * New upstream release.
  * debian/copyright: Update accordingly.
  * debian/control: Make libgio-qt0 conflicts with libgio-qt to
    avoid file conflict with upstream-packaged deb packages.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 16:31:10 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gio-qt
 Section: libs
 Priority: optional
-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
 Uploaders:
  Boyuan Yang <byang@debian.org>,
  Arun Kumar Pariyar <openarungeek@gmail.com>,
 Build-Depends:
- cmake (>= 3.7),
+ cmake,
  debhelper-compat (= 13),
  doxygen,
  libglibmm-2.4-dev,
@@ -14,7 +15,7 @@
  qtbase5-dev,
  qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/linuxdeepin/gio-qt
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gio-qt
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gio-qt.git
@@ -53,6 +54,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Conflicts: libgio-qt
 Description: Gio wrapper for Qt5
  Gio-qt provides Gio wrapper for Qt5.
  .

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export QT_SELECT := 5

# Retrieve version info
include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)

## gio-qt 0.0.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
+cmake_minimum_required(VERSION 3.12.4)
+
 project(gio-qt)
-
-cmake_minimum_required(VERSION 3.12.4)
 
 option(BUILD_TESTS "Build tests" OFF)
 option(BUILD_UTILS "Build utilities" ON)
@@ -29,17 +29,9 @@
 
 include(GNUInstallDirs)
 
-# Find the QtWidgets library
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Core)
-find_package(PkgConfig REQUIRED)
-find_package(Doxygen)
-
-pkg_check_modules(GIOMM giomm-2.4) # look into FindPkgConfig.cmake
-
-add_subdirectory (gio-qt)
+add_subdirectory(gio-qt)
 
 if (BUILD_TESTS)
-    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Test)
     add_subdirectory(test)
 endif ()
 
@@ -48,6 +40,7 @@
 endif ()
 
 if (BUILD_DOCS)
+    find_package(Doxygen)
     if (NOT DOXYGEN_FOUND)
         message(FATAL_ERROR "Doxygen is required to build the documentation.")
     endif ()
@@ -70,7 +63,6 @@
     )
 
     install (FILES ${CMAKE_CURRENT_BINARY_DIR}/docs/gio-qt.qch DESTINATION share/qt5/doc)
-
 else ()
     message (STATUS "")
     message (STATUS "To build docs, please use -DBUILD_DOCS=Yes")

=== debian/changelog ===
gio-qt (0.0.14-2) unstable; urgency=medium

  * Source-only upload.
  * debian/control: Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 11 Jul 2024 07:32:11 -0400

gio-qt (0.0.14-1) unstable; urgency=medium

  * New upstream release.
    + Add support for both Qt5 and Qt6.
  * debian/control: Split Qt5 and Qt6 library packages:
    Use libgio-qt0 for Qt5 and libgio-qt6-0 for Qt6.
  * debian/copyright: Update information.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 22:13:39 -0400

=== debian/control ===
Source: gio-qt
Section: libs
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen,
 libglibmm-2.4-dev,
 pkgconf,
 qtbase5-dev,
 qttools5-dev-tools,
 qt6-base-dev,
 qt6-tools-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/linuxdeepin/gio-qt
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/gio-qt
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/gio-qt.git

Package: libgio-qt-dev
Architecture: any
Section: libdevel
Depends:
 libgio-qt0 (= ${binary:Version}),
 libgio-qt6-0 (= ${binary:Version}),
 libglibmm-2.4-dev,
 ${misc:Depends},
Multi-Arch: same
Description: Gio wrapper for Qt (development files)
 Gio-qt provides Gio wrapper for Qt.
 .
 This package provides the library development files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libgio-qt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Gio wrapper for Qt (documentation files)
 Gio-qt provides Gio wrapper for Qt.
 .
 This package provides the library documentation files.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libgio-qt0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libgio-qt
Description: Gio wrapper for Qt (Qt5 library)
 Gio-qt provides Gio wrapper for Qt.
 .
 This package provides the libgio-qt library files for Qt5.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libgio-qt6-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: libgio-qt
Description: Gio wrapper for Qt (Qt6 library)
 Gio-qt provides Gio wrapper for Qt.
 .
 This package provides the libgio-qt library files for Qt6.
 .
 This package is part of DDE (Deepin Desktop Environment).

## gio-qt 0.0.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
     set (DOXYGEN_EXCLUDE_SYMBOLS "*Private;*Test")
     set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
     set (DOXYGEN_QHP_NAMESPACE "org.deepin.gio-qt")
-    set (DOXYGEN_QCH_FILE "../gio-qt.qch")
+    #set (DOXYGEN_QCH_FILE "../gio-qt.qch")
     set (DOXYGEN_QHP_VIRTUAL_FOLDER "gio-qt")
 
     doxygen_add_docs(doxygen
@@ -62,7 +62,7 @@
         COMMENT "Generate documentation via Doxygen"
     )
 
-    install (FILES ${CMAKE_CURRENT_BINARY_DIR}/docs/gio-qt.qch DESTINATION share/qt5/doc)
+    #install (FILES ${CMAKE_CURRENT_BINARY_DIR}/docs/gio-qt.qch DESTINATION share/qt5/doc)
 else ()
     message (STATUS "")
     message (STATUS "To build docs, please use -DBUILD_DOCS=Yes")

=== debian/changelog ===
gio-qt (0.0.15-2deepin1) unstable; urgency=medium

  * update changelog.

 -- lichenggang <lichenggang@deepin.org>  Mon, 24 Mar 2025 17:28:15 +0800

gio-qt (0.0.14-2deepin1) unstable; urgency=medium

  * remove dch file 

 -- Liu zheng <liuzheng@uniontech.com>  Sat, 08 Feb 2025 14:42:35 +0800

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Retrieve version info
include /usr/share/dpkg/default.mk

%:
	dh $@

## gio-qt 0.0.16

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # Version
 if (NOT PROJECT_VERSION)
-    set(PROJECT_VERSION "0.0.1")
+    set(PROJECT_VERSION "0.0.16")
 endif()
 
 if (NOT PROJECT_VERSION_MAJOR)

=== gio-qt/CMakeLists.txt ===
# Populate a CMake variable with the sources
# TODO: portable headers?

find_package(PkgConfig REQUIRED)

pkg_check_modules(GIOMM giomm-2.4) # look into FindPkgConfig.cmake

set (QGIO_PUBLIC_HEADER_FILES
    include/dglibutils.h
    include/dgiovolumemanager.h
    include/dgiomountoperation.h
    include/dgiomount.h
    include/dgiovolume.h
    include/dgiofile.h
    include/dgiofileinfo.h
    include/dgiofileiterator.h
    include/dgiodrive.h
    include/dgiosettings.h
)

set (QGIO_PRIVATE_HEADER_FILES
    private/dgiohelper.h
)

set (QGIO_PRIVATE_CPP_FILES
    source/dglibutils.cpp
    source/dgiovolumemanager.cpp
    source/dgiomountoperation.cpp
    source/dgiomount.cpp
    source/dgiovolume.cpp
    source/dgiofile.cpp
    source/dgiofileinfo.cpp
    source/dgiofileiterator.cpp
    source/dgiodrive.cpp
    source/dgiosettings.cpp
    private/dgiohelper.cpp
)

include(qt6.cmake)
include(qt5.cmake)

install (FILES ${QGIO_PUBLIC_HEADER_FILES}
    DESTINATION include/gio-qt
)

=== qgio-tools/CMakeLists.txt ===
# QXdgDesktopEntryTest

include(qt6.cmake)
include(qt5.cmake)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+find_package(Qt6 REQUIRED COMPONENTS Test)
+
 enable_testing ()
 
 function(DGIO_CREATE_TEST _generated_target_name _input_file_name _use_giomm)

=== debian/changelog ===
gio-qt (0.0.16-1) unstable; urgency=medium

  * New upstream release. (Closes: #1096708)
  * debian/control: Update versioned Conflicts.
  * debian/control: Drop libgio-qt-doc, no longer built upstream.

 -- Boyuan Yang <byang@debian.org>  Fri, 05 Sep 2025 11:01:50 -0400

=== debian/control ===
--- 
+++ 
@@ -37,26 +37,13 @@
  .
  This package is part of DDE (Deepin Desktop Environment).
 
-Package: libgio-qt-doc
-Section: doc
-Architecture: all
-Multi-Arch: foreign
-Depends:
- ${misc:Depends},
-Description: Gio wrapper for Qt (documentation files)
- Gio-qt provides Gio wrapper for Qt.
- .
- This package provides the library documentation files.
- .
- This package is part of DDE (Deepin Desktop Environment).
-
 Package: libgio-qt0
 Architecture: any
 Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts: libgio-qt
+Conflicts: libgio-qt (<< 0.0.15)
 Description: Gio wrapper for Qt (Qt5 library)
  Gio-qt provides Gio wrapper for Qt.
  .
@@ -70,7 +57,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Conflicts: libgio-qt
+Conflicts: libgio-qt (<< 0.0.15)
 Description: Gio wrapper for Qt (Qt6 library)
  Gio-qt provides Gio wrapper for Qt.
  .

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gio-qt-$1.tar.gz%" \
   https://github.com/linuxdeepin/gio-qt/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
